﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.ProductOrderDto>
@{
    ViewBag.Title = "Product Order";
}
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">게시판관리/รายละเอียด</h5>
                    </div>
                </div>
                <div class="card-body">
                    <div class="align-middle">
                        <span class="badge badge-primary badge-pill">전체  @ViewBag.Count 건</span>

                    </div>
                    <div class="table-responsive m-b-30 mt-2">
                        <table class="table table-bordered">
                            <thead class="thead-dark">
                                <tr class="text-center">
                                    <th class="align-middle" style="width:80px;">NO.</th>
                                    <th class="align-middle">상품번호</th>
                                    <th class="align-middle" style="width:150px;">구매자ID</th>
                                    <th class="align-middle" style="width:200px;">구매자</th>
                                    <th class="align-middle" style="width:200px;">판매자ID</th>
                                    <th class="align-middle" style="width:90px;">판매자</th>
                                    <th class="align-middle" style="width:90px;">상품</th>
                                    <th class="align-middle" style="width:100px;">가격</th>
                                    <th class="align-middle" style="width:100px;">수수료</th>
                                    <th class="align-middle" style="width:200px;">생성일</th>
                                    <th class="align-middle" style="width:200px;">마지막 거래일</th>
                                </tr>
                            </thead>
                            <tbody>
                                @if (Model != null && Model.Count() != 0)
                                {
                                    foreach (var item in Model)
                                    {

                                <tr class="text-center">
                                    <td> @Html.DisplayFor(modelItem => item.num)</td>
                                    <td class="text-left">
                                        @Html.DisplayFor(modelItem => item.code)
                                    </td>
                                    <td> @Html.DisplayFor(modelItem => item.username_buy)</td>
                                    <td> @Html.DisplayFor(modelItem => item.fullname_buy)</td>
                                    <td> @Html.DisplayFor(modelItem => item.username_sale)</td>
                                    <td> @Html.DisplayFor(modelItem => item.fullname_sale)</td>
                                    <td> @Html.DisplayFor(modelItem => item.product_name)</td>
                                    <td> @Html.DisplayFor(modelItem => item.price_interest)</td>
                                    <td> @Html.DisplayFor(modelItem => item.fee)</td>
                                    <td> @Html.DisplayFor(modelItem => item.create_date)</td>
                                    <td> @Html.DisplayFor(modelItem => item.buy_date)</td>


                                </tr>
                                    }
                                }
                                else
                                {
                                    <tr class="text-center">
                                        <td colspan="7">
                                            No Data !!
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>

                    @{
                        if (Convert.ToInt32(ViewBag.Count) > ViewBag.Rows)
                        {
                            <div class="justify-content-center row">

                                @Html.PagedListPager(Model, Page => Url.Action("Index", "ProductOrder", new { Page }))

                            </div>
                        }
                    }
                </div>
            </div>
        </div>
        <!-- End XP Col -->
    </div>
</div>
<script>
    $(function () {
        $("#liMatch").addClass("active");
        $("#meProductOrder").addClass("active");


    });
    function del(id) {
        var r = confirm("1구좌 추가생성하시겠습니까??");
        if (r == true) {
            $.ajax({
                type: "POST",
                url: "/PopupList/Delete",
                data: "{'id':'" + id + "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    alert(msg);
                    location.reload();
                }
            });
        }
    }
</script>
